## com.sun.jersey.api.wadl.config
Class WadlGeneratorConfigLoader

    java.lang.Object
      com.sun.jersey.api.wadl.config.WadlGeneratorConfigLoader

    public class WadlGeneratorConfigLoader

extends java.lang.Object

Loads a `WadlGeneratorConfig` and provides access to the `WadlGenerator` provided by the loaded `WadlGeneratorConfig`.
If no `WadlGeneratorConfig` is provided, the default `WadlGenerator` will be loaded.

Version:
  $Id$
Author:
  Martin Grotzke

Constructor Summary
`WadlGeneratorConfigLoader()`

Method Summary
`static WadlGeneratorConfig` | `loadWadlGeneratorsFromConfig(ResourceConfig resourceConfig)` Load the `WadlGeneratorConfig` from the provided `ResourceConfig` using the property `ResourceConfig.PROPERTY_WADL_GENERATOR_CONFIG`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WadlGeneratorConfigLoader

    public WadlGeneratorConfigLoader()

Method Detail

### loadWadlGeneratorsFromConfig

    public static WadlGeneratorConfig loadWadlGeneratorsFromConfig(ResourceConfig resourceConfig)

  Load the `WadlGeneratorConfig` from the provided `ResourceConfig` using the property `ResourceConfig.PROPERTY_WADL_GENERATOR_CONFIG`.

  The type of this property must be a subclass or an instance of a subclass of `WadlGeneratorConfig`.
  If it's not set, the default `WadlGeneratorJAXBGrammarGenerator` will be used.

  Parameters:
    `resourceConfig` -
  Returns:
    a configure `WadlGeneratorConfig`.

Copyright © 2017 Oracle Corporation. All Rights Reserved.